Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1364522

Summary: Mem leak in meta_default_readv in meta xlators
Product: [Community] GlusterFS Reporter: Niels de Vos <ndevos>
Component: unclassifiedAssignee: Mohammed Rafi KC <rkavunga>
Status: CLOSED EOL QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 3.7.14CC: bugs
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1362397
: 1365734 (view as bug list) Environment:
Last Closed: 2017-03-08 10:48:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1362397    
Bug Blocks: 1365734    

Description Niels de Vos 2016-08-05 15:08:52 UTC
+++ This bug was initially created as a clone of Bug #1362397 +++

Description of problem:

Meta xlators leaking iobuf and iobref in read code path, from the function meta_default_readv


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create a volume and do a fuse mount
2. read the file /mnt/.meta/version in loop
3.

Actual results:

memleak

Expected results:

there should not be any memleak

Additional info:

--- Additional comment from Mohammed Rafi KC on 2016-08-02 08:50:25 CEST ---

I opened the bug in glusterd, because I couldn't find a component named meta.

--- Additional comment from Vijay Bellur on 2016-08-02 08:53:42 CEST ---

REVIEW: http://review.gluster.org/15068 (meta: fix memory leak in meta xlators) posted (#1) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

--- Additional comment from Vijay Bellur on 2016-08-05 12:57:00 CEST ---

COMMIT: http://review.gluster.org/15068 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit d297d2bdfc4d5ba99c37b22dd1ae0f8e8e92fe7b
Author: Mohammed Rafi KC <rkavunga@redhat.com>
Date:   Tue Aug 2 11:59:42 2016 +0530

    meta: fix memory leak in meta xlators
    
    meta xlator is leaking iobuf and iobrefs in read path
    
    This patch fixes memleak in meta_default_read code path
    
    Change-Id: Ieb413267604d9870dbe6e11258fffd279a7bd7cf
    BUG: 1362397
    Signed-off-by: Mohammed Rafi KC <rkavunga@redhat.com>
    Reviewed-on: http://review.gluster.org/15068
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Poornima G <pgurusid@redhat.com>

--- Additional comment from Vijay Bellur on 2016-08-05 16:06:58 CEST ---

REVIEW: http://review.gluster.org/15102 (meta: fix memory leak in meta xlators) posted (#1) for review on release-3.7 by Oleksandr Natalenko (oleksandr@natalenko.name)

Comment 1 Kaushal 2017-03-08 10:48:49 UTC
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.